<template>
  <div>
    <h2>Total Cases</h2>
    <br>
    <apexchart
      width="500"
      type="line"
      :key="updateChartKey"
      :options="chartOptions"
      :series="series"
    ></apexchart>
  </div>
</template>

<script>
export default {
  data() {
    return {
      updateChartKey: 0,
      chartOptions: {
        chart: {
          id: "vuechart-example"
        },
        xaxis: {
          labels: {
            hideOverlappingLabels: true
          },
          type: 'datetime',
          tickAmount: 10,
          categories: []
        }
      },
      series: []
    };
  },
  props: {
    selectedData: {
      type: Object,
      default: null
    }
  },
  watch: {
    selectedData: {
      handler(value) {
        if (value !== null) {
          let length = Object.keys(value.dates[0]).length;
          this.chartOptions.xaxis.categories = Object.keys(
            value.dates[0]
          ).slice(length - 30, length);
          this.series = [
            {
              name: `Total Cases in ${value.country}`,
              data: Object.values(value.dates[0]).slice(length - 30, length)
            }
          ];
          this.updateChartKey++;
        }
      },
      deep: true
    }
  }
};
</script>

<style>
</style>
